Skip to content

API reference

Generated from the op registry that also builds the MCP tools, the CLI, OpenAPI and llms.txt.

Base URL https://geo-coder-service.vercel.app/. Every op has a resource route and an RPC route, POST /v1/ops/<name>, that takes the same input as JSON. GET routes take the input as query parameters. Machine-readable: OpenAPI 3.1 and GET /v1.

Boundaries

OpRouteCost
Search boundaries
search_boundaries
GET/v1/boundaries/searchFree
Get boundary polygon
get_boundary
GET/v1/boundaries/{id}1 unit
Export boundary file
export_boundary
GET/v1/boundaries/{id}.{format}1 unit
Boundaries at a point
reverse_boundaries
GET/v1/boundaries/reverse1 unit
List subdivisions
list_children
GET/v1/boundaries/{id}/childrenFree
Points in boundary
contains_points
POST/v1/boundaries/{id}/contains1 unit per 1,000 points (up to 10,000 per call)
Merge boundaries
union_boundaries
POST/v1/boundaries/union1 unit per boundary (up to 50)

Areas

OpRouteCost
Create area from a description
create_area
POST/v1/areas50 units

Account

OpRouteCost
Get account
get_account
GET/v1/accountFree
Update profile
update_profile
POST/v1/accountFree
Get email preferences
get_email_preferences
GET/v1/account/email-preferencesFree
Update email preferences
update_email_preferences
POST/v1/account/email-preferencesFree
Get plans and prices
get_pricing
GET/v1/pricingFree

Usage

OpRouteCost
Get usage
get_usage
GET/v1/usageFree

API keys

OpRouteCost
List API keys
list_api_keys
GET/v1/keysFree
Create API key
create_api_key
POST/v1/keysFree
Revoke API key
revoke_api_key
DELETE/v1/keys/{id}Free

Feedback

OpRouteCost
List feature requests and issues
list_feedback
GET/v1/feedbackFree
Get a feature request or issue
get_feedback
GET/v1/feedback/{id}Free
Request a feature
request_feature
POST/v1/feedback/featuresFree
Report an issue
report_issue
POST/v1/feedback/issuesFree
Upvote a feature request or issue
upvote_feedback
POST/v1/feedback/{id}/voteFree
Remove an upvote
remove_feedback_vote
DELETE/v1/feedback/{id}/voteFree
Comment on a feature request or issue
comment_on_feedback
POST/v1/feedback/{id}/commentsFree